#See https://aka.ms/containerfastmode to understand how Visual Studio uses this Dockerfile to build your images for faster debugging.

FROM mcr.microsoft.com/dotnet/runtime:5.0-alpine AS base
WORKDIR /app

FROM mcr.microsoft.com/dotnet/sdk:5.0-alpine AS build
WORKDIR /src
COPY ["LeagueBot.csproj", "."]
RUN dotnet restore "./LeagueBot.csproj"
COPY . .
WORKDIR "/src/."
RUN dotnet build "LeagueBot.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "LeagueBot.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "LeagueBot.dll"]